#outputlista{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
    padding: 10px;
    gap:8px 0px;
    box-sizing: border-box;
}

#outputlista .varaus{
    position: relative;
    display: flex;
    width:100%;
    height: auto;
    padding: 5px 22px 5px 60px;
    flex-direction: row;
    box-sizing: border-box;
    gap:0px 10px;
    border-radius: 15px;
    align-items: center;
    justify-content: flex-start;
    transition: all 0.2s;
    box-shadow: inset 0px -20px 3px rgba(216,216,216,1.00);
    cursor: pointer;
    background-color:rgba(240,240,240,1.00);
}

#outputlista .varaus:hover{
    transform:scale(1.015);
    box-shadow: inset 0px -30px 3px rgba(216,216,216,1.00);    
}

#outputlista .varaus.pending:before{
    position: absolute;
    top:0px;
    left:10px;
    bottom:0px;
    width:30px;
    height: 30px;
    margin: auto 0px;
    background-size:29px 29px;
    background-repeat: no-repeat;
    background-position: center;
    content:"";
    background-image: url("https://cnt.ravintolat.online/imgs2/ask.svg");
}

#outputlista .varaus .aika,
#outputlista .varaus .nimi,
#outputlista .varaus .henkiloita,
#outputlista .varaus .poyta{
    position: relative;
    width: auto;
    height: 30px;
    line-height: 30px;
    font-size: 16px;
    margin: 4px 0px;
    color: #2B2B2B;
    font-weight: 600;
    text-align: left;
    text-wrap:nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

#outputlista .varaus .aika{ min-width: 220px; }
#outputlista .varaus .nimi{ width: 100%; }
#outputlista .varaus .henkiloita{ min-width: 60px; text-align:right; }
#outputlista .varaus .poyta{ min-width: 100px; text-align:right; }

#outputlista .varaus .henkiloita:after { 
    position: absolute;
    top:0px;
    left:0px;
    width: 30px;
    content: "";
    height:30px;
    background-size:30px 30px;
    background-image:url("https://cnt.ravintolat.online/imgs2/persons.svg");
}

#outputlista .varaus .poyta:after { 
    position: absolute;
    top:0px;
    left:0px;
    width: 30px;
    content: "";
    height:30px;
    background-size:30px 30px;
    background-image:url("https://cnt.ravintolat.online/imgs2/table.svg");
}


#editviewwrap{
    display:none;
    position:fixed;
    top:0px;
    left:0px;
    width:100%;
    height:100%;
    flex-direction: column;
    background-color:rgba(139,139,139,0.66);
    backdrop-filter:blur(3px);
    z-index: 1222;
    align-items: center;
    justify-content: center;
}

#editviewwrap #editview{
    display:flex;
    flex-direction: column;
    margin:20px auto;
    width:95%;
    height: auto;
    max-width: 800px;
    overflow: auto;
    background-color: rgba(230,230,230,1.00);
    border-radius: 25px;
    padding: 20px;
    box-sizing: border-box;
}


#editviewwrap #editview .row{
    width: 100%;
    height: auto;
    margin:5px auto;
}

#editviewwrap #editview .row select,
#editviewwrap #editview .row textarea,
#editviewwrap #editview .row input{
    width:100%;
    height:55px;
    padding: 0px 25px;
    box-sizing: border-box;
    background-color: white;
    border:0;
    outline:none;
    border-radius: 25px;
    -webkit-appearance:none;
}

#editviewwrap #editview .row select{
    height:55px;   
}

#editviewwrap #editview .row select[name='poydat']{
    min-height:200px;
}

#editviewwrap #editview .row textarea{
    padding: 30px 25px;
    height:auto;
    min-height: 60px;
}

#btn_nosave_edit{
    background-color:transparent;
    box-shadow: 0;
    color:black;
    font-size:15px;
}

#btn_nosave_edit:hover{
    background-color:transparent;
    background-image:inherit;
}




















#addviewwrap{
    display:none;
    position:fixed;
    top:0px;
    left:0px;
    width:100%;
    height:100%;
    flex-direction: column;
    background-color:rgba(139,139,139,0.66);
    backdrop-filter:blur(3px);
    z-index: 1222;
    align-items: center;
    justify-content: center;
}

#addviewwrap #addview{
    display:flex;
    flex-direction: column;
    margin:20px auto;
    width:95%;
    height: auto;
    max-width: 800px;
    overflow: auto;
    background-color: rgba(230,230,230,1.00);
    border-radius: 25px;
    padding: 20px;
    box-sizing: border-box;
}


#addviewwrap #addview .row{
    width: 100%;
    height: auto;
    margin:5px auto;
}

#addviewwrap #addview .row select,
#addviewwrap #addview .row textarea,
#addviewwrap #addview .row input{
    width:100%;
    height:55px;
    padding: 0px 25px;
    box-sizing: border-box;
    background-color: white;
    border:0;
    outline:none;
    border-radius: 25px;
    -webkit-appearance:none;
}

#addviewwrap #addview .row select{
    height:55px;   
}

#addviewwrap #addview .row select[name='poydat']{
    min-height:200px;
}

#addviewwrap #addview .row textarea{
    padding: 30px 25px;
    height:auto;
    min-height: 60px;
}

#btn_nosave_add{
    background-color:transparent;
    box-shadow: 0;
    color:black;
    font-size:15px;
}

#btn_nosave_add:hover{
    background-color:transparent;
    background-image:inherit;
}


